<form #reservationEntryForm="ngForm" action="" (submit)="reservationEntry()">
    <div class="jumbotron">
        <div class="form-horizontal">
            <div class="col-xs-12">
                <h2>Make a reservation in the best restaurant in the world</h2>
            </div>
        </div>
    </div>
    <br>
    <div class="form-group">
        <div class="row">
            <div class="col-sm-4 text-center">
                <h3>Personal data</h3>
            </div>
        </div>
        <!-- Name -->
        <label class="col-sm-2">Name *</label>
        <div class="col-sm-4">
            <input #clientName="ngModel" [(ngModel)]="objReservation.name"
            name="clientName" type="text" class="form-control"
            required minlength="6"/>
        </div>
        <!-- Error div when error required -->
        <div class="col-sm-4" *ngIf="!clientName.pristine && 
            clientName.errors && clientName.errors.required">
            <span class="text-danger">Please, enter a name</span>
        </div>

        <!-- Error div when error minlength -->
        <div *ngIf="clientName.errors && clientName.errors.minlength">
            <span class="text-danger">Please, enter a name 6-characters minimum</span>
        </div>
        <br>
        <!-- Surname -->
        <label class="col-sm-2">Surname *</label>
        <div class="col-sm-4">
            <input #clientSurname="ngModel" [(ngModel)]="objReservation.surname"
            name="clientSurname" type="text" class="form-control" required/>
        </div>
        <!-- Error div when error required -->
        <div class="col-sm-4" *ngIf="!clientSurname.pristine && 
            clientSurname.errors && clientSurname.errors.required">
            <span class="text-danger">Please, enter a surname</span>
        </div>
        <br>

        <!-- Email -->
        <label class="col-sm-2">Email *</label>
        <div class="col-sm-4">
            <input #clientEmail="ngModel" [(ngModel)]="objReservation.email"
            name="clientEmail" type="email" class="form-control" 
            pattern="[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,4}$" required/>
        </div>
        <!-- Error div when error email -->
        <div class="col-sm-4" *ngIf="!clientEmail.pristine && 
        clientEmail.errors?.required">
            <span class="text-danger">Please, enter a email</span>
        </div>

        <!-- Error div when error email -->
        <div class="col-sm-4" *ngIf="!clientEmail.untouched &&
         clientEmail.errors?.pattern">
            <span class="text-danger">Please, enter an email with a valid format</span>
        </div>
        <br>

        <!-- Phone -->
        <label class="col-sm-2">Phone *</label>
        <div class="col-sm-4">
            <input #clientPhone="ngModel" [(ngModel)]="objReservation.phone"
            name="clientPhone" type="text" class="form-control"/>
        </div><br><br>      

        <div class="form-group">
            <div class="row">
                <div class="col-sm-4 text-center">
                    <h3>Reservation details</h3>
                </div>
            </div>
            <label class="col-sm-2">Reservation date: </label>
             <div class="col-sm-6">
                 <input type="date" class="form-control"
                 name="reservationDate"
                 [(ngModel)]="objReservation.reservationDate">
            </div>
            <label class="col-sm-2">Reservation time: </label>
            <div class="col-sm-6">
                <select class="form-control">
                    <option *ngFor="let reservationTime
                     of reservationTimes; let i=index">
                    {{reservationTime.time}}</option>
                </select>
           </div>

        </div>






        <div class="row">
            <div class="col-sm-4" align="center">
                <h3>Recommendations</h3>
            </div>
        </div>
        <div class="row">
            <table class="table table-striped">
                <tr *ngFor="let tempRow of recommendations">
                    <td *ngFor="let tempCol of tempRow">{{tempCol}}</td>
                </tr>
            </table>
        </div>

        <button type="submit" class="btn btn-primary" [disabled]="!reservationEntryForm.valid"
        >Submit</button>
    </div>
</form>